Bug 190917 - Add support for /sbin/linuxrc.local
Add support for /sbin/linuxrc.local
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 10:05 EDT by Kasper Dupont
Modified: 2009-05-05 17:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 17:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch implementing requested feature (469 bytes, patch)
2006-05-06 10:07 EDT, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2006-05-06 10:05:37 EDT
Description of problem:
In some cases it is convenient with hooks for local customizations such as the
already existing /sbin/halt.local hook.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Create /sbin/linuxrc.local executable
 
Actual results:
It does not get executed

Expected results:
It is executed by linuxrc on bootup.

Additional info:
Patch on the way.
Comment 1 Kasper Dupont 2006-05-06 10:07:00 EDT
Created attachment 128693 [details]
Patch implementing requested feature
Comment 2 Till Maas 2006-07-12 07:00:00 EDT
I would like to have the possibility to customize the initrd but not only with a
local linuxrc. I suggest that mkinitrd should source scripts that are in
/etc/sysconfig/mkinitrd-scripts or /etc/mkinitrd-scripts. This make it possible
to add also own files to the initrd, e.g. binaries for userland-suspend
(http://suspend.sf.net).
Comment 3 Kasper Dupont 2006-07-12 07:14:29 EDT
I have realized that my patch does not nearly add all the hooks which could be
needed. I have also found a need for a hook later in linuxrc after modules have
been loaded. And I'd also like a way to bind mount a subdirectory of some file
system and use that as root rather than using a full file system as root. If
someone can come up with a simple way to have such different hooks in linuxrc,
it would make installation easier for me.
Comment 4 Christian Iseli 2007-01-22 06:38:38 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Till Maas 2007-01-22 17:52:17 EST
This feature seems not to be implemented in FC6, too.
Comment 6 Bug Zapper 2008-05-14 08:01:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:12:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Bug Zapper 2008-11-25 20:49:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jeremy Katz 2009-05-05 17:33:38 EDT
mkinitrd at this point is "critical bugfixes only" and this certainly doesn't qualify.  The likely successor, dracut, already has some functionality like this and with any luck will be used for F12.  But for the purposes of mkinitrd, this is a WONTFIX

Note You need to log in before you can comment on or make changes to this bug.